NX Open C++ Reference Guide
|
This builder allows the user to extract contents from a sheet and transfer them to a new Drawing view, also provide some other options for view creation <br> To create a new instance of this class, use @link Drafting::DraftingApplicationManager::CreateMoveToDrawingViewBuilder Drafting::DraftingApplicationManager::CreateMoveToDrawingViewBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::SelectTaggedObjectList * | SelectObjects () |
Returns the select objects from the current sheet Created in NX8.5.0. | |
NXOpen::Point * | SelectPoint () |
Returns the select point to calculate the new created drawing view's reference point Created in NX8.5.0. | |
void | SetSelectPoint (NXOpen::Point *selectPoint) |
Sets the select point to calculate the new created drawing view's reference point Created in NX8.5.0. | |
void | SetXCoordinate (double xCoordinate) |
Sets the x coordinate to calculate the new created drawing view's reference point Created in NX8.5.0. | |
void | SetYCoordinate (double yCoordinate) |
Sets the y coordinate to calculate the new created drawing view's reference point Created in NX8.5.0. | |
NXOpen::Drawings::View2dOrientBuilder * | TwoDOrientation () |
Returns the view orientation Created in NX8.5.0. | |
NXOpen::Drawings::ViewScaleBuilder * | ViewScale () |
Returns the view scale Created in NX8.5.0. | |
NXOpen::Drawings::ViewStyleBuilder * | ViewStyle () |
Returns the view style Created in NX8.5.0. | |
double | XCoordinate () |
Returns the x coordinate to calculate the new created drawing view's reference point Created in NX8.5.0. | |
double | YCoordinate () |
Returns the y coordinate to calculate the new created drawing view's reference point Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This builder allows the user to extract contents from a sheet and transfer them to a new Drawing view, also provide some other options for view creation <br> To create a new instance of this class, use @link Drafting::DraftingApplicationManager::CreateMoveToDrawingViewBuilder Drafting::DraftingApplicationManager::CreateMoveToDrawingViewBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ViewScale.Denominator |
1.0 |
ViewScale.Numerator |
1.0 |
ViewScale.ScaleType |
Ratio |
ViewStyle.ViewStyleGeneral.AngleValue |
0.0 |
ViewStyle.ViewStyleOrientation.HingeLine.ReverseDirection |
false |
ViewStyle.ViewStyleOrientation.HingeLine.VectorOption |
Inferred |
ViewStyle.ViewStyleOrientation.Ovt.AssociativeOrientation |
0 |
XCoordinate |
0 |
YCoordinate |
0 |
Created in NX8.5.0.
NXOpen::SelectTaggedObjectList* NXOpen::Drafting::MoveToDrawingViewBuilder::SelectObjects | ( | ) |
Returns the select objects from the current sheet
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Drafting::MoveToDrawingViewBuilder::SelectPoint | ( | ) |
Returns the select point to calculate the new created drawing view's reference point
Created in NX8.5.0.
License requirements : None
void NXOpen::Drafting::MoveToDrawingViewBuilder::SetSelectPoint | ( | NXOpen::Point * | selectPoint | ) |
Sets the select point to calculate the new created drawing view's reference point
Created in NX8.5.0.
License requirements : nx_drafting_plus ("DraftingPlus")
selectPoint | selectpoint |
void NXOpen::Drafting::MoveToDrawingViewBuilder::SetXCoordinate | ( | double | xCoordinate | ) |
Sets the x coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.
License requirements : nx_drafting_plus ("DraftingPlus")
xCoordinate | xcoordinate |
void NXOpen::Drafting::MoveToDrawingViewBuilder::SetYCoordinate | ( | double | yCoordinate | ) |
Sets the y coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.
License requirements : nx_drafting_plus ("DraftingPlus")
yCoordinate | ycoordinate |
NXOpen::Drawings::View2dOrientBuilder* NXOpen::Drafting::MoveToDrawingViewBuilder::TwoDOrientation | ( | ) |
Returns the view orientation
Created in NX8.5.0.
License requirements : None
NXOpen::Drawings::ViewScaleBuilder* NXOpen::Drafting::MoveToDrawingViewBuilder::ViewScale | ( | ) |
Returns the view scale
Created in NX8.5.0.
License requirements : None
NXOpen::Drawings::ViewStyleBuilder* NXOpen::Drafting::MoveToDrawingViewBuilder::ViewStyle | ( | ) |
Returns the view style
Created in NX8.5.0.
License requirements : None
double NXOpen::Drafting::MoveToDrawingViewBuilder::XCoordinate | ( | ) |
Returns the x coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.
License requirements : None
double NXOpen::Drafting::MoveToDrawingViewBuilder::YCoordinate | ( | ) |
Returns the y coordinate to calculate the new created drawing view's reference point
Created in NX8.5.0.
License requirements : None